Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 206969 - net-misc/tor has an internal copy of libevent's async dns
Summary: net-misc/tor has an internal copy of libevent's async dns
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gustavo Felisberto (RETIRED)
URL: https://bugs.torproject.org/flyspray/...
Whiteboard:
Keywords:
Depends on:
Blocks: bundled-libs
  Show dependency tree
 
Reported: 2008-01-22 00:43 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-02-11 08:44 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Disable use of internal libevent parts (tor-0.2.0.33-no-internal-libevent.patch,4.91 KB, patch)
2009-01-29 16:07 UTC, Christian Faulhammer (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-22 00:43:24 UTC
Symbol evdns_server_request_add_reply@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/bin/tor
  /usr/lib64/libevent_extra-1.4.so.2.0.0
  /usr/lib64/libevent-1.4.so.2.0.0
Symbol evdns_server_request_drop@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/bin/tor
  /usr/lib64/libevent_extra-1.4.so.2.0.0
  /usr/lib64/libevent-1.4.so.2.0.0
Symbol evdns_server_request_respond@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/bin/tor
  /usr/lib64/libevent_extra-1.4.so.2.0.0
  /usr/lib64/libevent-1.4.so.2.0.0
Symbol evdns_set_log_fn@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/bin/tor
  /usr/lib64/libevent_extra-1.4.so.2.0.0
  /usr/lib64/libevent-1.4.so.2.0.0
Symbol evdns_set_option@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/bin/tor
  /usr/lib64/libevent_extra-1.4.so.2.0.0
  /usr/lib64/libevent-1.4.so.2.0.0
Symbol evdns_shutdown@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/bin/tor
  /usr/lib64/libevent_extra-1.4.so.2.0.0
  /usr/lib64/libevent-1.4.so.2.0.0

And more...
Comment 1 Stefan Behte (RETIRED) gentoo-dev Security 2008-02-21 19:35:19 UTC
Which version of tor are you using?
We need emerge --info.
Comment 2 Christian Faulhammer (RETIRED) gentoo-dev 2008-03-04 10:42:43 UTC
(In reply to comment #1)
> Which version of tor are you using?
> We need emerge --info.

 Diego?

Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-03-06 11:34:04 UTC
Sorry this got lost in the huge amount of bug mail:

flame@enterprise ~ % emerge --info
emerge -pv Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.2.3, glibc-2.7-r1, 2.6.24-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r3 x86_64 AMD Athlon(tm) 64 Processor 3500+
Timestamp of tree: Thu, 06 Mar 2008 10:30:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.5.1-r5
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/sandbox:    1.2.20_alpha2-r1
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18.50.0.4
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.24
tACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -ftracer -pipe -ftree-vectorize -Wformat=2 -Wno-error -Wno-pointer-sign -g -ggdb -Wstrict-aliasing=2 -Wno-format-zero-length"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/init.d /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -ftracer -pipe -ftree-vectorize -Wno-error -Wformat=2 -g -ggdb -Wstrict-aliasing=2 -fvisibility-inlines-hidden"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=n"
FEATURES="autoaddcvs autoconfig collision-protect cvs distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms sign splitdebug unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://mirror.ing.unibo.it/gentoo/ http://gentoo.intergenia.de http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="en_US.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="en it"
MAKEOPTS="-j1 -s"
PKGDIR="/var/portage/pkg-enterprise"
PORTAGE_COMPRESS=""
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/media/repos/gentoo-x86-sync"
PORTDIR_OVERLAY="/var/portage/overlays/cross /media/repos/flame/flame-overlay /var/portage/overlays/lives /var/portage/overlays/kde-color-schemes /var/portage/overlays/java-experimental /var/portage/overlays/layman/gentopia /var/portage/overlays/layman/emacs /var/portage/overlays/layman/vmware /var/portage/overlays/layman/jokey /var/portage/overlays/layman/openrc"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex 3dnowext S3TC a52 aac acl acpi4linux alsa amd64 apm audiofile avi bzip2 bzlib cdda cddb cdio cdr cjk cli crypt css cups dlloader dnd dpms dri dts dvd dvdr dvdread emacs emboss fame ffmpeg flac foomaticdb gif gnutls gpgme gphoto2 gtk2 idn ieee1394 imlib imlib2 isdnlog ithreads joystick jpeg kde kdehiddenvisibility latex lm_sensors lx700 lzw lzw-tiff maildir matroska midi mmx mmx2 mmxext mng mozsvg mp3 mpeg mpeg4 mpm-threadpool mudflap native network-cron nls no_wxgtk1 noantlr nobcel nobeanutils nobsh nocommonslogging nocommonsnet nodrm nojdepend nojsch nojython nolog4j nomotif nooro noregexp norhino noxalan noxerces nptl nptlonly ogg oggvorbis openmp openntpd pam pch pdf pdflib pic pmount png ppds pppd qemu-fast qt qt3 reflection rtc session snmp speex spell spl sse sse2 ssl stencil-buffer subversion svg svgz sysfs syslog tetex theora threads tiff truetype truetype-fonts type1 type1-fonts udev uncompressed-sounds unicode usb userlocales utf8 v4l v4l2 vhosts vorbis wxwindows x11vnc xcb xinerama xorg xpm xv xvid zlib zvbi" ALSA_CARDS="via82xx bt87x usb-audio mpu401 mia" ALSA_PCM_PLUGINS="iec958 plug ioplug hooks empty route" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en it" LIRC_DEVICES="kworld" SANE_BACKENDS="snapscan" USERLAND="GNU" VIDEO_CARDS="radeon s3virge"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

flame@enterprise ~ % emerge -pv tor

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-misc/tor-0.1.2.19  USE="-debug" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2009-01-29 16:07:58 UTC
Created attachment 180119 [details, diff]
Disable use of internal libevent parts

Diego, you could do me a big favour:
a) you tell me how I check for the internal copy
b) you try attached patch
Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2009-01-30 08:45:30 UTC
I reported the problem upstream (see URL).
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2009-01-30 21:20:42 UTC
Diego, no need to test it...upstream will introduce a configure switch to use the system libevent.
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2009-02-05 00:36:39 UTC
I know consider this as fixed.  First my solution including my rationale:

net-misc/tor has USE=bundledlibevent turned on by default (EAPI=1), so people will still get the current bundling out of the box.  If that USE flag is disabled a patch is applied that compiles tor with the system's libevent.  The reason is that tor's upstream incorporated some security related fixes into the tor version of libevent that are not released with the official libevent yet.  This looks like the best possible solution until upstream provides the autoconf switch to move away from the bundled version.  As soon as the enhanced libevent version makes it into Portage, the USE flag will leave.